eccodes (2.45.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1124157

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Jan 2026 06:51:09 +0000

eccodes (2.44.2-3) unstable; urgency=medium

  * Fix binary-all FTBFS. Closes: #1124345
  * Remove b-d on flang-21 on s390x to unblock.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jan 2026 09:49:23 +0000

eccodes (2.44.2-2) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Fix libeccodes_static.a install.
    Closes: #1124157, #1124156, #1124178, #1124177, #1124180

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Dec 2025 20:00:33 +0000

eccodes (2.44.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright updates for licencerecon
  * Set ECKIT_GEO on; ensure BUILD_FLAGS used
  * Set extra example files as non-exec
  * Use dh-fortran rules
  * d/watch: Move to version 5 syntax
  * Drop dh_dwz; dh_fortran automatically does this now
  * No longer need -data tarball
  * Build-dep on libeckit-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Dec 2025 10:43:05 +0000

eccodes (2.44.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Nov 2025 10:40:46 +0000

eccodes (2.44.0-7) unstable; urgency=medium

  * Fix FTBFS on arch all. Closes: #1118637

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Oct 2025 08:54:32 +0100

eccodes (2.44.0-6) unstable; urgency=medium

  * Also fix libeccodes_f90_static in cmake

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Oct 2025 09:37:54 +0100

eccodes (2.44.0-5) unstable; urgency=medium

  * Fix static libs location in cmake files

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Oct 2025 05:41:38 +0100

eccodes (2.44.0-4) unstable; urgency=medium

  * d/rules: Fix accidental install of .so.1 library into dev rather than lib
    package. Closes: #1118647
	
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Oct 2025 11:33:26 +0100

eccodes (2.44.0-3) unstable; urgency=medium

  * Ensure dh_fortran_lib only called on -dev, lib packages

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Oct 2025 08:33:22 +0100

eccodes (2.44.0-2) unstable; urgency=medium

  * Update d/rules for changes in dh_fortran_lib

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 11:03:15 +0100

eccodes (2.44.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/watch to version 4

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Oct 2025 09:37:35 +0100

eccodes (2.43.0-5) unstable; urgency=medium

  * hard-code FC_DEFAULT=gfortran for transition, until updated dh-fortran
    passes NEW
  * Drop build-dep on gfortran14. Closes: #1115124
  * Drop build-dep on dh-buildinfo; obsolete
  * override dwz: break build
	
 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Sep 2025 09:34:04 +0100

eccodes (2.43.0-4) unstable; urgency=medium

  * Rebuild with gfortran-15 for mod file format change

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 10:22:21 +0100

eccodes (2.43.0-3) unstable; urgency=medium

  * Fix binary-all FTBFS in d/rules. Closes: #1112135

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Aug 2025 11:40:54 +0100

eccodes (2.43.0-2) unstable; urgency=medium

  * Close old bug. Closes: #1095938
  * Rebuild with mod files for both gfortran14, gfortran15

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Aug 2025 17:22:48 +0100

eccodes (2.43.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Aug 2025 10:41:36 +0100

eccodes (2.42.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 14:58:08 +0100

eccodes (2.42.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jun 2025 11:13:12 +0100

eccodes (2.41.0-1) unstable; urgency=medium

  * Standards-Version: 4.7.2
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Apr 2025 19:16:24 +0100

eccodes (2.40.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Feb 2025 15:31:53 +0000

eccodes (2.39.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 01 Feb 2025 07:25:39 +0000

eccodes (2.39.1-1) unstable; urgency=medium

  * libeccodes-dev recommends libeccodes-tools
  * New upstream release
  * Drop use of dh-buildinfo. Closes: #1089911

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Dec 2024 08:37:17 +0000

eccodes (2.39.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Nov 2024 06:38:13 +0000

eccodes (2.38.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Oct 2024 18:33:34 +0100

eccodes (2.38.0-2) unstable; urgency=medium

  * Drop obsolete deps on ksh and variants. Closes: #1078095

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Oct 2024 17:22:26 +0100

eccodes (2.38.0-1) unstable; urgency=medium

  * New upstream release
  * Enable OpenMP threads

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Sep 2024 07:42:54 +0100

eccodes (2.37.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Sep 2024 09:32:56 +0100

eccodes (2.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Jul 2024 09:00:15 +0100

eccodes (2.36.0-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * Disable threading; currently fails to build with threading

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Jul 2024 08:23:24 +0100

eccodes (2.35.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Apr 2024 08:01:26 +0100

eccodes (2.34.1-1) unstable; urgency=medium

  * New upstream release
  
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Feb 2024 07:16:39 +0000

eccodes (2.34.0-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Breaks/Replaces/Conflicts from d/control
  * In dh rule, place env variables before not after the dh call,
    as otherwise parameters are messed (--no-parallel was being ignored
    leading to intermittent race  in gfortran mod creation)
  * Add fortran:Depends to d/control for libecccodes-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Feb 2024 10:00:01 +0000

eccodes (2.33.0-4~exp2) UNRELEASED; urgency=medium

  * Fix mod files install
  * Test dh_install_flib

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Jan 2024 18:13:14 +0000

eccodes (2.33.0-4~exp1) experimental; urgency=medium

  * B-D on dh-fortran-mod >= 0.34
  * Test build with optional Fortran building
  * Build-dep with flang-17, flang-18

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jan 2024 09:53:08 +0000

eccodes (2.33.0-3) unstable; urgency=medium

  * Build with reverted fmoddir to libdir
  * Build with fortran-support.mk

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Dec 2023 08:19:34 +0000

eccodes (2.33.0-2) unstable; urgency=medium

  * Drop flang build for unsupported archs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Dec 2023 06:55:10 +0000

eccodes (2.33.0-1) unstable; urgency=medium

  * Enable flang support
  * New upstream release 2.33.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Dec 2023 09:54:23 +0000

eccodes (2.32.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Nov 2023 16:43:49 +0000

eccodes (2.32.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Oct 2023 10:28:02 +0100

eccodes (2.32.0-2) unstable; urgency=medium

  * Drop obsolete 32-bit arch code in d/rules
  * Depend on architecture-is-64-bit instead of listing archs specifically.
    Closes: #1054464

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Oct 2023 10:33:26 +0100

eccodes (2.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Oct 2023 10:51:38 +0100

eccodes (2.31.2-2) unstable; urgency=medium

  * Ensure fortran mod files are shipped. Closes: #1052908, #1052890

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Sep 2023 15:30:42 +0100

eccodes (2.31.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Sep 2023 08:32:12 +0100

eccodes (2.31.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Aug 2023 12:05:42 +0100

eccodes (2.31.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Jul 2023 13:08:01 +0100

eccodes (2.30.2-2) unstable; urgency=medium

  * ecCodes now only builds on 64-bit archs.
  * Don't use FAST_BIGENDIAN code; it breaks on s390x due to const double
    constraints
  * Rebuild for gfortran-13 (dh-fortran-mod >= 0.28)

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Jun 2023 07:19:28 +0100

eccodes (2.30.2-1) unstable; urgency=medium

  * New upstream release
  * Add dpkg-maintscript helper to cope with symlinks turning to files
    in libecccodes-data. Closes: #1036987

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Jun 2023 15:40:00 +0100

eccodes (2.30.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:16:12 +0100

eccodes (2.30.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Apr 2023 08:14:16 +0100

eccodes (2.29.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2	

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 01 Apr 2023 17:30:12 +0100

eccodes (2.28.0-1) unstable; urgency=medium

  * New upstream release
  * Fix dep on ecbuild depending on 1 release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jan 2023 10:22:36 +0000

eccodes (2.27.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Dec 2022 13:17:56 +0000

eccodes (2.27.0-1) unstable; urgency=medium

  * New upstream release
  * Require ecbuild >= 3.7.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2022 09:03:56 +0100

eccodes (2.26.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jul 2022 09:22:18 +0100

eccodes (2.26.0-3) unstable; urgency=medium

  * Build against gcc-12

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Jul 2022 10:22:33 +0100

eccodes (2.26.0-2) unstable; urgency=medium

  * Standards-Version: 4.6.1
  * Build-dep of dh-fortran-mod 0.23 for gcc-12 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jun 2022 17:27:53 +0100

eccodes (2.26.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 May 2022 06:42:02 +0100

eccodes (2.25.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Apr 2022 14:07:25 +0100

eccodes (2.25.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2022 14:03:20 +0000

eccodes (2.24.2-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete gfortran-10.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Jan 2022 10:56:37 +0000

eccodes (2.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Jan 2022 12:08:51 +0000

eccodes (2.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Dec 2021 14:54:42 +0000

eccodes (2.23.0-2) unstable; urgency=medium

  * Rebuild against gfortran-11 to provide grib_api.mod

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Oct 2021 13:01:15 +0100

eccodes (2.23.0-1.1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Fix 'Flow control statements are not properly nested' error.
    (closes: #995328)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Sep 2021 08:52:35 +0100

eccodes (2.23.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Aug 2021 09:51:07 +0100

eccodes (2.22.1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Aug 2021 04:38:24 +0100

eccodes (2.22.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Jun 2021 11:38:18 +0100

eccodes (2.22.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 May 2021 14:49:58 +0100

eccodes (2.21.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1
  * Move branches in d/gbp.conf to DEP-14 names
  * Point vcs-git to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Mar 2021 13:15:42 +0000

eccodes (2.20.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 12:30:31 +0000

eccodes (2.19.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Nov 2020 08:17:42 +0000

eccodes (2.19.0-1) unstable; urgency=medium

  * New upstream release
  * Set ECCODES_EXTRA_LIBRARIES to -lpng, -laec
  * Library versions changed 0.0.0 -> 0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Oct 2020 18:18:46 +0100

eccodes (2.18.0-4) unstable; urgency=medium

  * Fix build to ensure dpkg-builpackage -A works

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Jul 2020 17:13:15 +0100

eccodes (2.18.0-3) unstable; urgency=medium

  * Disable arg-mismatch warnings on gfortran-10. Closes: #957159
  * Move to debhelper 13

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Jul 2020 10:55:44 +0100

eccodes (2.18.0-2) unstable; urgency=medium

  * Backout incomplete gfortran-10 patch. Closes: #964110

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Jul 2020 13:20:59 +0100

eccodes (2.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Jul 2020 16:48:26 +0100

eccodes (2.17.0-2) unstable; urgency=medium

  * Use ecbuild rather than cmake buildsystem
  * Rebuild against latest dh-fortran-mod for gfortran-10 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Apr 2020 11:04:05 +0100

eccodes (2.17.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0
  * Use dh-sequence-fortran-mod instead of --with fortran_mod
  * ecbuild.patch: Fix path for check_linker to look in

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Mar 2020 16:34:06 +0000

eccodes (2.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jan 2020 10:19:57 +0000

eccodes (2.15.0-1) unstable; urgency=medium

  * Drop Fortran-Mod: clause in d/control; dh_fortran_mod now uses
    ${misc:Depends} instead. 
  * New upstream release
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Nov 2019 14:00:37 +0000

eccodes (2.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Oct 2019 08:17:15 +0100

eccodes (2.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Oct 2019 13:37:13 +0100

eccodes (2.13.1-2) unstable; urgency=medium

  * Use ecbuild rather than cmake.
  * Rebuild with gfortran-9 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Aug 2019 15:14:30 +0100

eccodes (2.13.1-1) unstable; urgency=medium

  * New upstream release
  * Fix data samples path in magics-import.cmake for metview 5.6
  * Now need to chrpath -d grib_to_netcdf

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Aug 2019 08:22:44 +0100

eccodes (2.13.0-3) unstable; urgency=medium

  * Fix d/rules regression in cmake file editing. Closes: #933359

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Aug 2019 16:31:30 +0100

eccodes (2.13.0-2) unstable; urgency=medium

  * d/rules: cmake config changes in paths needed for magics++

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jul 2019 10:36:07 +0100

eccodes (2.13.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.0
  * Now use debhelper-compat 12
  * Drop python support; now supplied in separate src package
  * d/rules changes because cmake files now installed ib /usr/lib
    upstream
  * Add ifs_samples to libeccodes-data/install
  * Change needed to docs because DH_COMPAT=12 installs in
    /usr/share/doc/libeccodes-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jul 2019 14:20:51 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libeccodes-data`.
